#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 31. KDE Frameworks 6 Based Applications

- Prev

  khelpcenter-24.12.2

- Next

  konversation-24.12.2

- Up
- Home

# Konsole-24.12.2

## Introduction to Konsole

The Konsole package is a KF6 based terminal emulator.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/24.12.2/src/konsole-24.12.2.tar.xz

- Download MD5 sum: ceb176da5ce06121b91682af2e635d1e

- Download size: 1.7 MB

- Estimated disk space required: 72 MB

- Estimated build time: 0.6 SBU (using parallelism=4)

### Additional Downloads

- Optional patch: https://www.linuxfromscratch.org/patches/blfs/12.3/konsole-24.12.2-scrollbar-1.patch

### Konsole Dependencies

#### Required

KDE Frameworks-6.11.0

## Installation of Konsole

### Note

In non-plasma environments, the konsole scrollbar and its handle do not show up well. If desired, apply the optional patch to the package:

    patch -Np1 -i ../konsole-24.12.2-scrollbar-1.patch

The patch makes the scrollbar light gray with a small white border. The handle is dark gray. If desired, the colors may be changed to taste by editing the patch.

Install Konsole by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: konsole and konsoleprofile
Installed Libraries: libkdeinit6_konsole.so and libkonsoleprivate.so
Installed Directories: $KF6_PREFIX/share/doc/HTML/*/konsole, $KF6_PREFIX/share/konsole, and $KF6_PREFIX/share/kxmlgui6/konsole

### Short Descriptions

konsole | is an X terminal emulation which provides a command-line interface
konsoleprofile | is a command-line tool to change the current tab's profile options

- Prev

  khelpcenter-24.12.2

- Next

  konversation-24.12.2

- Up
- Home